<div class='container d-flex flex-jc-center'>
  <div class='inner-container'>
    <h2>Dodaj sastojak:</h2>
    <form (ngSubmit)="addIngredient()" #ingredientForm="ngForm">
      <mat-form-field class='w-100'>
        <mat-label>Ime sastojka</mat-label>
        <input matInput name='name' [(ngModel)]="ingredient.name" required >
      </mat-form-field>
      <mat-form-field class='w-100'>
        <mat-label>Kategorija:</mat-label>
        <input matInput id="category" name="category" [(ngModel)]="ingredient.category" required >
      </mat-form-field>
      <div class='row'>
        <div class='col-4'>
          <mat-form-field class='w-100'>
            <mat-label>Proteini</mat-label>
            <input matInput id="protein" name='protein' type='number'[ngModel]="ingredient.nutritiveValues" >
            <span matTextSuffix=''>g/100g</span>
          </mat-form-field>
        </div>
        <div class='col-4'>
          <mat-form-field class='w-100'>
            <mat-label>Ugljeni hidrati</mat-label>
            <input matInput name='name' type='number' [ngModel]="ingredient.nutritiveValues">
            <span matTextSuffix>g/100g</span>
          </mat-form-field>
        </div>
        <div class='col-4'>
          <mat-form-field class='w-100'>
            <mat-label>Masti</mat-label>
            <input matInput name='name' type='number'[ngModel]="ingredient.nutritiveValues">
            <span matTextSuffix>g/100g</span>
          </mat-form-field>
        </div>
      </div>
      <button mat-button mat-raised-button color='primary'>Dodaj</button>
    </form>
  </div>
</div>
